<?php
error_reporting( E_ALL ^ E_NOTICE ^ E_STRICT ^ E_WARNING );
function __autoload_my_classes( $classname )
{
  $q = explode( '\\' , $classname );
  $c = array_pop( $q );
  $f = 'autoload/' . implode( '/' , $q ) . '/class.' . $c . '.php';

  if ( file_exists( $f ) )
    require_once( $f );
}
spl_autoload_register( '__autoload_my_classes' );
date_default_timezone_set( 'Europe/Warsaw' );

require_once 'config.php';
require_once 'libraries/medoo/medoo.php';

session_start();

if ( !isset( $_SESSION['check'] ) )
{
 	session_regenerate_id();
	$_SESSION['check']  = true;
	$_SESSION['ip']     = $_SERVER['REMOTE_ADDR'];
}

if ( $_SESSION['ip'] !== $_SERVER['REMOTE_ADDR'] )
{
  session_destroy();
  header( 'Location: /' );
  exit;
}

$mdb = new medoo( [
                    'database_type' => 'mysql',
                    'database_name' => $database['name'],
                    'server'        => $database['host'],
                    'username'      => $database['user'],
                    'password'      => $database['password'],
                    'charset'       => 'utf8'
                ] );

if ( file_exists( 'plugins/special-actions.php' ) )
  include 'plugins/special-actions.php';

if ( !$lang_id = \S::get_session( 'current-lang' ) )
{
  $lang_id = \front\factory\Languages::default_language();
  \S::set_session( 'current-lang', $lang_id );
}

if ( !$lang = \S::get_session( 'lang-' . $lang_id ) )
{
  $lang = \front\factory\Languages::lang_translations( $lang_id );
  \S::set_session( 'lang-' . $lang_id, $lang );
}

$settings = \front\factory\Settings::settings_details();

$positions = file_get_contents( 'update/stanowiska.txt' );
$positions = explode( PHP_EOL, $positions );
if ( is_array( $positions ) ) foreach ( $positions as $position )
{
  if ( !$mdb -> count( 'globelus_positions', [ 'name' => $position ] ) and $position )
    $mdb -> insert( 'globelus_positions', [ 'name' => $position ] );
}